%define upstream_name    Data-Taxi
%define upstream_version 0.96

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Taint-aware, XML-ish data serialization
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Debug::ShowStuff)
BuildArch: noarch


%{?perl_default_filter}

%description
Taxi (*T*aint-*A*ware *X*ML-*I*sh) is a data serializer with several handy
features:

* Taint aware

  Taxi does not force you to trust the data you are serializing. None of
  the input data is executed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.960.0-10.mga8
+ Revision: 1493767
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.960.0-9.mga7
+ Revision: 1267015
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.960.0-8.mga6
+ Revision: 1024901
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.960.0-7.mga6
+ Revision: 935449
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.960.0-6.mga5
+ Revision: 749065
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.960.0-5.mga5
+ Revision: 735468
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.960.0-4.mga5
+ Revision: 684244
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.960.0-3.mga4
+ Revision: 510675
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.960.0-2.mga3
+ Revision: 365491
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.960.0-1.mga1
+ Revision: 28467
- mageia rebuild
- imported package perl-Data-Taxi

